function [txt, s, x] = myApp(n, nslots)
% function [txt, s] = myApp(n, nslots)
% Purpose: runs basic MATLAB PCT commands
%       n: size of arithmetic sequence [1+2+3+ . . . +n]
%  nslots: number of cores used for parallel computing
% NB: batch does not support SPMD

% Compute with the Parallel Computing Toolbox
fprintf(1,'\n Test the parallel computing toolbox . . . . .\n');
fprintf(1,'Use parfor to compute arithmetic sequence sum\n');
fprintf(1,'s = 1 + 2 + 3 + . . . + n = n(n+1)/2\n\n');

x = distributed.zeros(1,20);
spmd
  disp(['labindex = ' num2str(labindex)])
  for k=1+(labindex-1)*5:labindex*5
    x(k) = k;
  end
end

txt = sprintf('This is a parfor example\n')

s = 0;    % initialize solution 
parfor i=1:n
    s = s + i;       % s = 1 + 2 + 3 + . . . + n
end
fprintf(1,'\n\n Iteration count n = %d\n', n);
fprintf(1,'\nComputed s = %d; Expected s =  %d \n\n', s, n*(n+1)/2);

end   % end of function 

